curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/sso-settings \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"saml": {
"attributeMapping": {
"name": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name",
"email": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress",
"username": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/username",
"phoneNumber": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/phonenum",
"givenName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname",
"middleName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/middlename",
"familyName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname",
"picture": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/picture",
"verifiedEmail": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedemail",
"verifiedPhone": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedphone",
"group": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/groups",
"customAttributes": {
"department": "Grocery",
"jobTitle": "Global Creative Architect",
"location": "Oshkosh"
}
}
},
"oidc": {
"attributeMapping": {
"loginId": "preferred_username",
"name": "name",
"email": "email",
"username": "username",
"phoneNumber": "phone_number",
"givenName": "given_name",
"middleName": "middle_name",
"familyName": "family_name",
"picture": "picture",
"verifiedEmail": "email_verified",
"verifiedPhone": "phone_number_verified",
"customAttributes": {
"department": "Outdoors",
"jobTitle": "District Optimization Supervisor",
"location": "North Lenny"
}
}
},
"ssoId": "sso-provider-9e95eea8-b1d2-44f5-89a7-2865af59db4d"
}
}curl --request GET \
--url https://staging.api.us.aptlydone.com/auth/v1/tenants/{id}/sso-settings \
--header 'Authorization: Bearer <token>'{
"statusCode": 200,
"timestamp": "2026-01-12T09:10:12.337Z",
"message": "Success",
"data": {
"saml": {
"attributeMapping": {
"name": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name",
"email": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress",
"username": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/username",
"phoneNumber": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/phonenum",
"givenName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/givenname",
"middleName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/middlename",
"familyName": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/surname",
"picture": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/picture",
"verifiedEmail": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedemail",
"verifiedPhone": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/verifiedphone",
"group": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/groups",
"customAttributes": {
"department": "Grocery",
"jobTitle": "Global Creative Architect",
"location": "Oshkosh"
}
}
},
"oidc": {
"attributeMapping": {
"loginId": "preferred_username",
"name": "name",
"email": "email",
"username": "username",
"phoneNumber": "phone_number",
"givenName": "given_name",
"middleName": "middle_name",
"familyName": "family_name",
"picture": "picture",
"verifiedEmail": "email_verified",
"verifiedPhone": "phone_number_verified",
"customAttributes": {
"department": "Outdoors",
"jobTitle": "District Optimization Supervisor",
"location": "North Lenny"
}
}
},
"ssoId": "sso-provider-9e95eea8-b1d2-44f5-89a7-2865af59db4d"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
SSO settings fetched successfully
Was this page helpful?